Inventory - Add Inventory Items
Add inventory items. Up to 10,000 stacks of items can be added to a single inventory collection. Stack size is uncapped.
Allowed entity token types: title, master_player_account, title_player_account
POST https://titleId.playfabapi.com/Inventory/AddInventoryItems
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| X-EntityToken | True |
string |
This API requires an Entity Session Token, available from the Entity GetEntityToken method. |
Request Body
| Name | Type | Description |
|---|---|---|
| Amount |
number |
The amount to add for the current item. |
| CollectionId |
string |
The id of the entity's collection to perform this action on. (Default="default"). The number of inventory collections is unlimited. |
| CustomTags |
object |
The optional custom tags associated with the request (e.g. build number, external trace identifiers, etc.). |
| DurationInSeconds |
number |
The duration to add to the current item expiration date. |
| ETag |
string |
ETags are used for concurrency checking when updating resources. More information about using ETags can be found here: https://learn.microsoft.com/en-us/gaming/playfab/features/economy-v2/catalog/etags |
| Entity |
The entity to perform this action on. |
|
| IdempotencyId |
string |
The Idempotency ID for this request. Idempotency IDs can be used to prevent operation replay in the medium term but will be garbage collected eventually. |
| Item |
The inventory item the request applies to. |
|
| NewStackValues |
The values to apply to a stack newly created by this request. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK | ||
| 400 Bad Request |
This is the outer wrapper for all responses with errors |
Security
X-EntityToken
This API requires an Entity Session Token, available from the Entity GetEntityToken method.
Type:
apiKey
In:
header
Definitions
| Name | Description |
|---|---|
|
Add |
Given an entity type, entity identifier and container details, will add the specified inventory items. |
|
Add |
|
|
Alternate |
|
|
Api |
The basic wrapper around every failed API response |
|
Entity |
Combined entity type and ID structure which uniquely identifies a single entity. |
|
Initial |
|
|
Inventory |
AddInventoryItemsRequest
Given an entity type, entity identifier and container details, will add the specified inventory items.
| Name | Type | Description |
|---|---|---|
| Amount |
number |
The amount to add for the current item. |
| CollectionId |
string |
The id of the entity's collection to perform this action on. (Default="default"). The number of inventory collections is unlimited. |
| CustomTags |
object |
The optional custom tags associated with the request (e.g. build number, external trace identifiers, etc.). |
| DurationInSeconds |
number |
The duration to add to the current item expiration date. |
| ETag |
string |
ETags are used for concurrency checking when updating resources. More information about using ETags can be found here: https://learn.microsoft.com/en-us/gaming/playfab/features/economy-v2/catalog/etags |
| Entity |
The entity to perform this action on. |
|
| IdempotencyId |
string |
The Idempotency ID for this request. Idempotency IDs can be used to prevent operation replay in the medium term but will be garbage collected eventually. |
| Item |
The inventory item the request applies to. |
|
| NewStackValues |
The values to apply to a stack newly created by this request. |
AddInventoryItemsResponse
| Name | Type | Description |
|---|---|---|
| ETag |
string |
ETags are used for concurrency checking when updating resources. More information about using ETags can be found here: https://learn.microsoft.com/en-us/gaming/playfab/features/economy-v2/catalog/etags |
| IdempotencyId |
string |
The idempotency id used in the request. |
| TransactionIds |
string[] |
The ids of transactions that occurred as a result of the request. |
AlternateId
| Name | Type | Description |
|---|---|---|
| Type |
string |
Type of the alternate ID. |
| Value |
string |
Value of the alternate ID. |
ApiErrorWrapper
The basic wrapper around every failed API response
| Name | Type | Description |
|---|---|---|
| code |
integer |
Numerical HTTP code |
| error |
string |
Playfab error code |
| errorCode |
integer |
Numerical PlayFab error code |
| errorDetails |
object |
Detailed description of individual issues with the request object |
| errorMessage |
string |
Description for the PlayFab errorCode |
| status |
string |
String HTTP code |
EntityKey
Combined entity type and ID structure which uniquely identifies a single entity.
| Name | Type | Description |
|---|---|---|
| Id |
string |
Unique ID of the entity. |
| Type |
string |
Entity type. See https://docs.microsoft.com/gaming/playfab/features/data/entities/available-built-in-entity-types |
InitialValues
| Name | Type | Description |
|---|---|---|
| DisplayProperties |
object |
Game specific properties for display purposes. The Display Properties field has a 1000 byte limit. |
InventoryItemReference
| Name | Type | Description |
|---|---|---|
| AlternateId |
The inventory item alternate id the request applies to. |
|
| Id |
string |
The inventory item id the request applies to. |
| StackId |
string |
The inventory stack id the request should redeem to. (Default="default") |
Error Codes
| Name | Code |
|---|---|
| DatabaseThroughputExceeded | 1113 |
| InvalidCatalogItemConfiguration | 4015 |
| ItemNotFound | 1047 |
| PreconditionFailed | 1610 |